This is the mail archive of the gcc@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: GCC 4.7.0 Release Candidate available from gcc.gnu.org


On Mon, Mar 12, 2012 at 5:59 AM, Richard Guenther <rguenther@suse.de> wrote:
> On Wed, 7 Mar 2012, NightStrike wrote:
>
>> On Fri, Mar 2, 2012 at 8:44 AM, Richard Guenther <rguenther@suse.de> wrote:
>> >
>> > GCC 4.7.0 Release Candidate available from gcc.gnu.org
>> >
>> > The first release candidate for GCC 4.7.0 is available from
>> >
>> > ?ftp://gcc.gnu.org/pub/gcc/snapshots/4.7.0-RC-20120302
>> >
>> > and shortly its mirrors. ?It has been generated from SVN revision 184777.
>> >
>> > I have so far bootstrapped and tested the release candidate on
>> > x86_64-linux. ?Please test it and report any issues to bugzilla.
>> >
>> > If all goes well, I'd like to release 4.7.0 in about three weeks.
>>
>>
>> Building gmp/mpfr/mpc in tree fails in the configure-stage1-mpc step
>> with the current version of mpfr version 3.1.0, out since last
>> October, and mpc, version 0.9, out since Feb of 2011. ?I'm guessing
>> the sources moved or something.
>>
>> For instance, just to get the configure step to pass, I had to change
>> the last line of the configure step in the generated Makefile from
>> this:
>>
>> ? ? ? ? ? --disable-shared --with-gmp-include=$$r/$(HOST_SUBDIR)/gmp
>> --with-gmp-lib=$$r/$(HOST_SUBDIR)/gmp/.libs
>> --with-mpfr-include=$$s/mpfr
>> --with-mpfr-lib=$$r/$(HOST_SUBDIR)/mpfr/.libs
>>
>> to this:
>>
>> ? ? ? ? ? --disable-shared --with-gmp-include=$$r/$(HOST_SUBDIR)/gmp
>> --with-gmp-lib=$$r/$(HOST_SUBDIR)/gmp/.libs
>> --with-mpfr-include=$$s/mpfr/src
>> --with-mpfr-lib=$$r/$(HOST_SUBDIR)/mpfr/.libs
>>
>>
>> The key section is adding /src on the end of --with-mpfr-include=$$s/mpfr/src
>>
>>
>> That gets the build further, but it still doesn't work.
>>
>> This same problem affects 4.6.
>
> The suggested versions of the packages in doc/install.texi are
> older than the ones you tried.
>
> Feel free to propose a patch for trunk, changing the recommended
> versions there.
>
> Richard.

Ok.  But does that mean that to fix configure, we have to increase the
minimum version of mpfr?


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]